using System.Collections;
using System.Collections.Generic;
using UnityEngine;


// Station is a base class for operation points within 
public abstract class Station : MonoBehaviour
{
    public abstract void InteractInitiated();
    public abstract void PlayerInteract();

    public AudioSource associatedAudio = null;
    protected void PlayAssociatedAudio()
    {
        if (associatedAudio != null)
            associatedAudio.Play();
    }
}
